Difficulty installing Bioperl for use with GUIDANCE
0
0
Entering edit mode
5 months ago
alicecol • 0

Hi,

I am trying to use the Guidance software to analyze a set of 427 sequences. I have the software downloaded and installed the modules indicated in the Guidance user guide (Perl/BioPerl/Ruby), but when I attempt to run Guidance with the following command:

perl /project/thrash_425/alicecol/phylo/guidance.v2.02/www/Guidance/guidance.pl --seqFile bt_coi.fasta --msaProgram MUSCLE --seqType nuc --outDir /project/thrash_425/alicecol/phylo/data/gdtest

I get this error*:

Can't locate Bio/Perl.pm in @INC (you may need to install the Bio::Perl module) (@INC contains: /project/thrash_425/alicecol/phylo/guidance.v2.02/www/Guidance/../Selecton/ 

*truncated for readability

Using cpanm to install Bio::Perl has been unsuccessful, returning the error:

    Can't write to /spack/apps/linux-centos7-x86_64/gcc-8.3.0/perl-5.30.1-hrnelgolwrunau5sesq3phgccj5uqy3h/lib/site_perl/5.30.1 and /spack/apps/linux-centos7-x86_64/gcc-8.3.0/perl-5.30.1-hrnelgolwrunau5sesq3phgccj5uqy3h/bin: Installing modules to /home1/alicecol/perl5
! To turn off this warning, you have to do one of the following:
!   - run me as a root or with --sudo option (to install to /spack/apps/linux-centos7-x86_64/gcc-8.3.0/perl-5.30.1-hrnelgolwrunau5sesq3phgccj5uqy3h/lib/site_perl/5.30.1 and /spack/apps/linux-centos7-x86_64/gcc-8.3.0/perl-5.30.1-hrnelgolwrunau5sesq3phgccj5uqy3h/bin)
!   - Configure local::lib in your existing shell to set PERL_MM_OPT etc.
!   - Install local::lib by running the following commands
!
!         cpanm --local-lib=~/perl5 local::lib && eval $(perl -I ~/perl5/lib/perl5/ -Mlocal::lib)
!
! Finding Bio::Perl on cpanmetadb failed.
! Finding Bio::Perl () on mirror http://www.cpan.org failed.
! Couldn't find module or a distribution Bio::Perl

Should I be going about downloading Bioperl a different way?

Guidance2 msa phylogenetics • 382 views
ADD COMMENT
0
Entering edit mode

As mentioned in the error message, cpanm is unable to write files in default Perl library path. Either run cpanm as root or install in local library path(~/perl5).

ADD REPLY
0
Entering edit mode

Hi,

Did you solve this problem? I am having the same problem. I have the same message error but when I run cpanm Bio::Perl show a message error but also show that I already have the Perl module installed.

Can't write to /usr/local/share/perl/5.30.0 and /usr/local/bin: Installing modules to /home/cardon05/perl5
! To turn off this warning, you have to do one of the following:
!   - run me as a root or with --sudo option (to install to /usr/local/share/perl/5.30.0 and /usr/local/bin)
!   - Configure local::lib in your existing shell to set PERL_MM_OPT etc.
!   - Install local::lib by running the following commands
!
!         cpanm --local-lib=~/perl5 local::lib && eval $(perl -I ~/perl5/lib/perl5/ -Mlocal::lib)
!
Bio::Perl is up to date. (1.7.4)
ADD REPLY
0
Entering edit mode

The solution is in the error message itself. The user does not have write permission in usr/local/share/perl/5.30.0 and /usr/local/bin. Either install the module as root or install it in user's perl library path.

ADD REPLY

Login before adding your answer.

Traffic: 1537 users visited in the last hour
Help About
FAQ
Access RSS
API
Stats

Use of this site constitutes acceptance of our User Agreement and Privacy Policy.

Powered by the version 2.3.6